import * as __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__ from "../../data-source/collection-field-interface/CollectionFieldInterface.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__ from "./properties/index.mjs";
function _define_property(obj, key, value) {
    if (key in obj) Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
    });
    else obj[key] = value;
    return obj;
}
class IdFieldInterface extends __WEBPACK_EXTERNAL_MODULE__data_source_collection_field_interface_CollectionFieldInterface_mjs__.CollectionFieldInterface {
    constructor(...args){
        super(...args), _define_property(this, "name", 'id'), _define_property(this, "type", 'object'), _define_property(this, "group", 'systemInfo'), _define_property(this, "order", 0), _define_property(this, "title", '{{t("ID")}}'), _define_property(this, "hidden", true), _define_property(this, "sortable", true), _define_property(this, "default", {
            name: 'id',
            type: 'bigInt',
            autoIncrement: true,
            primaryKey: true,
            allowNull: false,
            uiSchema: {
                type: 'number',
                title: '{{t("ID")}}',
                'x-component': 'InputNumber',
                'x-read-pretty': true
            }
        }), _define_property(this, "availableTypes", [
            'bigInt',
            'integer',
            'string'
        ]), _define_property(this, "properties", {
            'uiSchema.title': {
                type: 'string',
                title: '{{t("Field display name")}}',
                required: true,
                default: 'ID',
                'x-decorator': 'FormItem',
                'x-component': 'Input'
            },
            name: {
                type: 'string',
                title: '{{t("Field name")}}',
                required: true,
                'x-disabled': true,
                'x-decorator': 'FormItem',
                'x-component': 'Input',
                description: "{{t('Randomly generated and can be modified. Support letters, numbers and underscores, must start with an letter.')}}"
            }
        }), _define_property(this, "filterable", {
            operators: __WEBPACK_EXTERNAL_MODULE__properties_index_mjs__.operators.id
        }), _define_property(this, "titleUsable", true);
    }
}
export { IdFieldInterface };
